Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.navigation.document
Enum Bookmark.FlagsEnum

    java.lang.Object
      java.lang.Enum<Bookmark.FlagsEnum>
          org.pdfclown.documents.interaction.navigation.document.Bookmark.FlagsEnum

All Implemented Interfaces:
  Serializable, Comparable<Bookmark.FlagsEnum>

Enclosing class:
  Bookmark

    @PDF(value=PDF14)
    public static enum Bookmark.FlagsEnum

extends Enum<Bookmark.FlagsEnum>

Bookmark flags [PDF:1.6:8.2.2].

Since:
  0.1.0

Enum Constant Summary
`Bold` Display the item in bold.
`Italic` Display the item in italic.

Method Summary
`int` | `getCode()`
`static EnumSet<Bookmark.FlagsEnum>` | `toEnumSet(int flagsMask)` Converts a bit mask into its corresponding enumeration representation.
`static int` | `toInt(EnumSet<Bookmark.FlagsEnum> flags)` Converts an enumeration set into its corresponding bit mask representation.
`static Bookmark.FlagsEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Bookmark.FlagsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Italic

    public static final Bookmark.FlagsEnum Italic

  Display the item in italic.

### Bold

    public static final Bookmark.FlagsEnum Bold

  Display the item in bold.

Method Detail

### values

    public static Bookmark.FlagsEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Bookmark.FlagsEnum c : Bookmark.FlagsEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Bookmark.FlagsEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toInt

    public static int toInt(EnumSet<Bookmark.FlagsEnum> flags)

  Converts an enumeration set into its corresponding bit mask representation.

### toEnumSet

    public static EnumSet<Bookmark.FlagsEnum> toEnumSet(int flagsMask)

  Converts a bit mask into its corresponding enumeration representation.

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.